Next: KILL, Previous: ISNAN, Up: Intrinsic Procedures [Contents][Index]

### 8.138 `ITIME` — Get current local time subroutine (hour/minutes/seconds)

Description:

  `IDATE(VALUES)` Fills VALUES with the numerical values at the current local time. The hour (in the range 1-24), minute (in the range 1-60), and seconds (in the range 1-60) appear in elements 1, 2, and 3 of VALUES, respectively.

Standard:

  GNU extension

Class:

  Subroutine

Syntax:

  `CALL ITIME(VALUES)`

Arguments:

  VALUES | The type shall be `INTEGER, DIMENSION(3)` and the kind shall be the default integer kind.

Return value:

  Does not return anything.

Example:

      program test_itime
        integer, dimension(3) :: tarray
        call itime(tarray)
        print *, tarray(1)
        print *, tarray(2)
        print *, tarray(3)
      end program test_itime